package net.npaka.listviewex;
import java.util.ArrayList;
import java.util.List;
import android.app.Activity;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.view.Window;
import android.widget.ListView;

//リストビュー
public class ListViewEx extends Activity {
    //アクティビティ起動時に呼ばれる
    @Override
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        requestWindowFeature(Window.FEATURE_NO_TITLE);

        //リスト要素の情報群の生成(1)
        List<ListItem> items=new ArrayList<ListItem>();
        for (int i=0;i<30;i++) {
            items.add(new ListItem(res2bmp(this,R.drawable.icon),"項目"+i));
        }

        //リストビューの設定(2)
        ListView listView=new ListView(this);
        listView.setScrollingCacheEnabled(false);
        listView.setAdapter(new ListArrayAdapter(this,items));
        setContentView(listView);
    }
    
    //リソース→ビットマップ
    public static Bitmap res2bmp(Context context,int resID) {
        return BitmapFactory.decodeResource(
            context.getResources(),resID);
    }
}