package net.npaka.absolutelayoutex;
import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;
import android.view.Window;
import android.widget.AbsoluteLayout;
import android.widget.Button;

//アブソリュートレイアウト
@SuppressWarnings("deprecation")
public class AbsoluteLayoutEx extends Activity {
    private final static int WC=AbsoluteLayout.LayoutParams.WRAP_CONTENT;
    
    //アクティビティ起動時に呼ばれる
    @Override
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        requestWindowFeature(Window.FEATURE_NO_TITLE);

        //レイアウトの生成
        AbsoluteLayout layout=new AbsoluteLayout(this);
        layout.setBackgroundColor(Color.WHITE);
        setContentView(layout);       
        
        //ボタン0の生成
        Button button0=new Button(this);
        button0.setText("(20,40) WCxWC");
        button0.setLayoutParams(new AbsoluteLayout.LayoutParams(WC,WC,20,24));
        layout.addView(button0);
        
        //ボタン1の生成
        Button button1=new Button(this);
        button1.setText("(20,200) 300x200");
        button1.setLayoutParams(new AbsoluteLayout.LayoutParams(300,200,20,200));
        layout.addView(button1);
    }
}